Bug 733204 - [abrt] yumex-3.0.3-1.fc15: gui.py:227:_url_handler:Error: The specified location is not mounted
Summary: [abrt] yumex-3.0.3-1.fc15: gui.py:227:_url_handler:Error: The specified locat...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:779e616e4e05df182e922be2696...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 06:32 UTC by Retlaw Dlawso
Modified: 2011-11-25 02:09 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-10-22 08:23:20 UTC


Attachments (Terms of Use)

Description Retlaw Dlawso 2011-08-25 06:32:19 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        /usr/bin/python /usr/share/yumex/yumex.pyc
component:      yumex
executable:     /usr/share/yumex/yumex.pyc
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        yumex-3.0.3-1.fc15
reason:         gui.py:227:_url_handler:Error: The specified location is not mounted
time:           Thu Aug 25 08:22:19 2011
uid:            500
username:       walter-oswald

backtrace:
:gui.py:227:_url_handler:Error: The specified location is not mounted
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/guihelpers/__init__.py", line 57, in on_url_event
:    self.url_handler(tag.get_property("name"))
:  File "/usr/lib/python2.7/site-packages/yumexgui/gui.py", line 227, in _url_handler
:    gtk.show_uri(None, url, gtk.gdk.CURRENT_TIME)
:Error: The specified location is not mounted
:
:Local variables in innermost frame:
:url: 'ftp://ftp.lcp.nrl.navy.mil/pub/nuttcp/'
:self: <yumexgui.gui.PackageInfo instance at 0x23d1ab8>

comment:
:in Yum Extender check marked: nuttcp
:that followed, click on the project URL: ftp://ftp.lcp.nrl.navy.mil/pub/nuttcp/

Comment 1 Tim Lauridsen 2011-08-25 16:58:46 UTC
It works for me.

What desktop environment are you running ?
What browser ?
Have you defined a default browser for your system ?

You can try running from a upstream checkout it
contains som changes in how urls are opened (xdg-open)

cd somefolder
git clone git@github.com:timlau/yumex.git
cd yumex/src
./yumex.py

Comment 2 Retlaw Dlawso 2011-08-25 18:41:20 UTC
after bug reporting
Yum Extender finished the job without incidence

Gnome 3.0.1
default Firefox 6.0

[walter-oswald@PC ~]$ xdg-open http://www.freedesktop.org/
[walter-oswald@PC ~]$ failed to create drawable
however, the url opened in Firefox

[walter-oswald@PC ~]$ cd somefolder
bash: cd: somefolder: No such file or directory
[walter-oswald@PC ~]$ git clone git@github.com:timlau/yumex.git
Cloning into yumex...
The authenticity of host 'github.com (207.97.227.239)' can't be established.
RSA key fingerprint is 16:27:ac:a5:76:28:2d:36:63:1b:56:4d:eb:df:a6:48.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added 'github.com,207.97.227.239' (RSA) to the list of known hosts.
Permission denied (publickey).
fatal: The remote end hung up unexpectedly
[walter-oswald@PC ~]$ 

It's a little bit Greek to me.

Comment 3 Tim Lauridsen 2011-09-01 15:21:35 UTC
you can try the pre-release rpm from

http://repos.fedorapeople.org/repos/timlau/yumex/

just download the .repo file and put it into /etc/yum.repos.d/

and run 'yum update yumex' as root

Comment 4 Retlaw Dlawso 2011-09-01 19:34:39 UTC
I tried downloading as suggested, I think in worked, but differently as proposed.
However, in Yum Extender the project URL is available in Firefox now
and for all URL tried out.
Thanks.

Comment 5 Fedora Update System 2011-10-11 06:34:25 UTC
yumex-3.0.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/yumex-3.0.4-1.fc16

Comment 6 Fedora Update System 2011-10-11 06:34:56 UTC
yumex-3.0.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/yumex-3.0.4-1.fc15

Comment 7 Fedora Update System 2011-10-11 06:35:20 UTC
yumex-3.0.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/yumex-3.0.4-1.el6

Comment 8 Fedora Update System 2011-10-11 19:25:10 UTC
Package yumex-3.0.4-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing yumex-3.0.4-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-4682
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-10-22 08:23:20 UTC
yumex-3.0.4-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-10-22 16:49:25 UTC
yumex-3.0.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/yumex-3.0.4-2.el6

Comment 11 Retlaw Dlawso 2011-10-23 08:25:08 UTC
fedora15 update worked Oct 22, 2011
other proposed updates not working, before
yumex-3.0.4 running and works fine

Comment 12 Fedora Update System 2011-10-25 03:34:49 UTC
yumex-3.0.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-11-25 02:09:42 UTC
yumex-3.0.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.